PDA

Visualizza la versione completa : Problema aggiornamento pacchetti


Number22
07-02-2014, 14:31
Ciao a tutti,
ho un problema con l'aggiornamento dei pacchetti sulla mia versione Linux Mint Debian Edition. Quantdo lancio normalmente l'aggiornamento (dall'icona sulla barra) ricevo il seguente errore:

"Impossibile applicare le modifiche. Sistemare i pacchetti danneggiati prima."

Per prima cosa apro synaptic (gestore dei pacchetti) e vedo che da "0 danneggiati". Provo a riavviare ma nulla cambia. Allora apro il terminale e do i seguenti comandi (con relativi risultati):

apt-get autoremove



Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 1249 non aggiornati.


apt-get update



Ign http://dl.google.com stable InRelease
Trovato http://dl.google.com stable Release.gpg
Trovato http://tux.rainside.sk testing InRelease
Trovato http://dl.google.com stable Release
Trovato http://tux.rainside.sk testing/updates InRelease
Ign http://packages.linuxmint.com debian InRelease
Trovato http://dl.google.com stable/main amd64 Packages
Trovato http://tux.rainside.sk testing InRelease
Trovato http://dl.google.com stable/main i386 Packages
Trovato http://tux.rainside.sk testing/main amd64 Packages/DiffIndex
Scaricamento di:1 http://packages.linuxmint.com debian Release.gpg [198 B]
Trovato http://tux.rainside.sk testing/contrib amd64 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/non-free amd64 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/main i386 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/contrib i386 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/non-free i386 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/contrib Translation-en/DiffIndex
Trovato http://tux.rainside.sk testing/main Translation-it/DiffIndex
Trovato http://tux.rainside.sk testing/main Translation-en/DiffIndex
Trovato http://tux.rainside.sk testing/non-free Translation-en/DiffIndex
Scaricamento di:2 http://packages.linuxmint.com debian Release [15,6 kB]
Trovato http://tux.rainside.sk testing/updates/main amd64 Packages
Trovato http://tux.rainside.sk testing/updates/contrib amd64 Packages
Trovato http://tux.rainside.sk testing/updates/non-free amd64 Packages
Trovato http://tux.rainside.sk testing/updates/main i386 Packages
Trovato http://tux.rainside.sk testing/updates/contrib i386 Packages
Trovato http://tux.rainside.sk testing/updates/non-free i386 Packages
Trovato http://tux.rainside.sk testing/updates/contrib Translation-en
Scaricamento di:3 http://packages.linuxmint.com debian/main Sources [22,4 kB]
Trovato http://tux.rainside.sk testing/updates/main Translation-en
Trovato http://tux.rainside.sk testing/updates/non-free Translation-en
Trovato http://tux.rainside.sk testing/main amd64 Packages
Trovato http://tux.rainside.sk testing/non-free amd64 Packages
Scaricamento di:4 http://packages.linuxmint.com debian/upstream Sources [1644 B]
Trovato http://tux.rainside.sk testing/main i386 Packages
Ign http://dl.google.com stable/main Translation-it_IT
Trovato http://tux.rainside.sk testing/non-free i386 Packages
Ign http://dl.google.com stable/main Translation-it
Ign http://dl.google.com stable/main Translation-en
Scaricamento di:5 http://packages.linuxmint.com debian/import Sources [30,7 kB]
Scaricamento di:6 http://packages.linuxmint.com debian/backport Sources [20 B]
Scaricamento di:7 http://packages.linuxmint.com debian/romeo Sources [1255 B]
Scaricamento di:8 http://packages.linuxmint.com debian/main amd64 Packages [26,0 kB]
Scaricamento di:9 http://packages.linuxmint.com debian/upstream amd64 Packages [7508 B]
Scaricamento di:10 http://packages.linuxmint.com debian/import amd64 Packages [57,3 kB]
Scaricamento di:11 http://packages.linuxmint.com debian/backport amd64 Packages [20 B]
Ign http://tux.rainside.sk testing/main Translation-it_IT
Ign http://tux.rainside.sk testing/main Translation-it
Ign http://tux.rainside.sk testing/main Translation-en
Scaricamento di:12 http://packages.linuxmint.com debian/romeo amd64 Packages [20 B]
Ign http://tux.rainside.sk testing/non-free Translation-it_IT
Ign http://tux.rainside.sk testing/non-free Translation-it
Scaricamento di:13 http://packages.linuxmint.com debian/main i386 Packages [26,0 kB]
Ign http://tux.rainside.sk testing/non-free Translation-en
Scaricamento di:14 http://packages.linuxmint.com debian/upstream i386 Packages [7509 B]
Scaricamento di:15 http://packages.linuxmint.com debian/import i386 Packages [57,3 kB]
Scaricamento di:16 http://packages.linuxmint.com debian/backport i386 Packages [20 B]
Scaricamento di:17 http://packages.linuxmint.com debian/romeo i386 Packages [20 B]
Ign http://packages.linuxmint.com debian/backport Translation-it_IT
Ign http://packages.linuxmint.com debian/backport Translation-it
Ign http://packages.linuxmint.com debian/backport Translation-en
Ign http://packages.linuxmint.com debian/import Translation-it_IT
Ign http://packages.linuxmint.com debian/import Translation-it
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/main Translation-it_IT
Ign http://packages.linuxmint.com debian/main Translation-it
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/romeo Translation-it_IT
Ign http://packages.linuxmint.com debian/romeo Translation-it
Ign http://packages.linuxmint.com debian/romeo Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-it_IT
Ign http://packages.linuxmint.com debian/upstream Translation-it
Ign http://packages.linuxmint.com debian/upstream Translation-en
Recuperati 254 kB in 25s (9959 B/s)
Lettura elenco dei pacchetti... Fatto


Riprovo a lanciare l'installazione, ma ancora lo stesso errore. Vi posto anche il file sources.list:



deb http://packages.linuxmint.com/ debian main upstream import backport romeo
deb-src http://packages.linuxmint.com/ debian main upstream import backport romeo #Added by software-properties
deb http://tux.rainside.sk/mint/debian/latest testing main contrib non-free
deb http://tux.rainside.sk/mint/debian/latest/security testing/updates main contrib non-free
deb http://tux.rainside.sk/mint/debian/latest/multimedia testing main non-free


Qualcuno puņ aiutarmi per favore? Grazie mille a tutti:ciauz:

Number22
08-02-2014, 11:43
Ho un aggiornamento a riguardo..sono andato a controllare cosa dice synaptic e ho trovato questo (prima di queste ultime righe, ci sono tutte le righe di "will install..." di tutti gli altri pacchetti):



++ Will install xserver-xorg-video-radeon
++ Will install xserver-xorg-video-savage
++ Will install xserver-xorg-video-siliconmotion
++ Will install xserver-xorg-video-sisusb
++ Will install xserver-xorg-video-tdfx
++ Will install xserver-xorg-video-trident
++ Will install xserver-xorg-video-vesa
++ Will install xserver-xorg-video-vmware
++ Will install xterm
++ Will install xtrans-dev
++ Will install yelp
++ Will install yelp-xsl
++ Ready to launch synaptic
sudo: unable to resolve host bruno-dell
Gtk-Message: Failed to load module "canberra-gtk-module"
Fontconfig warning: "/etc/fonts/conf.d/53-monospace-lcd-filter.conf", line 10: Having multiple values in <test> isn't supported and may not work as expected


(synaptic:6153): GLib-GObject-CRITICAL **: g_object_set_data: assertion `G_IS_OBJECT (object)' failed


(synaptic:6153): GLib-GObject-WARNING **: invalid (NULL) pointer instance


(synaptic:6153): GLib-GObject-CRITICAL **: g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
++ Return code:0
++ Install finished
++ Starting refresh
++ Found 1246 recommended software updates
++ Refresh finished


Se qualcuno sa qualcosa io sono qua, grazie a tutti!:ciauz:

sacarde
08-02-2014, 21:17
simile http://www.linuxmind-italia.org/index.php?topic=6470.0

gio14
11-02-2014, 03:30
Ciao a tutti,
ho un problema con l'aggiornamento dei pacchetti sulla mia versione Linux Mint Debian Edition. Quantdo lancio normalmente l'aggiornamento (dall'icona sulla barra) ricevo il seguente errore:

"Impossibile applicare le modifiche. Sistemare i pacchetti danneggiati prima."

Per prima cosa apro synaptic (gestore dei pacchetti) e vedo che da "0 danneggiati". Provo a riavviare ma nulla cambia. Allora apro il terminale e do i seguenti comandi (con relativi risultati):

apt-get autoremove



Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 1249 non aggiornati.


apt-get update



Ign http://dl.google.com stable InRelease
Trovato http://dl.google.com stable Release.gpg
Trovato http://tux.rainside.sk testing InRelease
Trovato http://dl.google.com stable Release
Trovato http://tux.rainside.sk testing/updates InRelease
Ign http://packages.linuxmint.com debian InRelease
Trovato http://dl.google.com stable/main amd64 Packages
Trovato http://tux.rainside.sk testing InRelease
Trovato http://dl.google.com stable/main i386 Packages
Trovato http://tux.rainside.sk testing/main amd64 Packages/DiffIndex
Scaricamento di:1 http://packages.linuxmint.com debian Release.gpg [198 B]
Trovato http://tux.rainside.sk testing/contrib amd64 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/non-free amd64 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/main i386 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/contrib i386 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/non-free i386 Packages/DiffIndex
Trovato http://tux.rainside.sk testing/contrib Translation-en/DiffIndex
Trovato http://tux.rainside.sk testing/main Translation-it/DiffIndex
Trovato http://tux.rainside.sk testing/main Translation-en/DiffIndex
Trovato http://tux.rainside.sk testing/non-free Translation-en/DiffIndex
Scaricamento di:2 http://packages.linuxmint.com debian Release [15,6 kB]
Trovato http://tux.rainside.sk testing/updates/main amd64 Packages
Trovato http://tux.rainside.sk testing/updates/contrib amd64 Packages
Trovato http://tux.rainside.sk testing/updates/non-free amd64 Packages
Trovato http://tux.rainside.sk testing/updates/main i386 Packages
Trovato http://tux.rainside.sk testing/updates/contrib i386 Packages
Trovato http://tux.rainside.sk testing/updates/non-free i386 Packages
Trovato http://tux.rainside.sk testing/updates/contrib Translation-en
Scaricamento di:3 http://packages.linuxmint.com debian/main Sources [22,4 kB]
Trovato http://tux.rainside.sk testing/updates/main Translation-en
Trovato http://tux.rainside.sk testing/updates/non-free Translation-en
Trovato http://tux.rainside.sk testing/main amd64 Packages
Trovato http://tux.rainside.sk testing/non-free amd64 Packages
Scaricamento di:4 http://packages.linuxmint.com debian/upstream Sources [1644 B]
Trovato http://tux.rainside.sk testing/main i386 Packages
Ign http://dl.google.com stable/main Translation-it_IT
Trovato http://tux.rainside.sk testing/non-free i386 Packages
Ign http://dl.google.com stable/main Translation-it
Ign http://dl.google.com stable/main Translation-en
Scaricamento di:5 http://packages.linuxmint.com debian/import Sources [30,7 kB]
Scaricamento di:6 http://packages.linuxmint.com debian/backport Sources [20 B]
Scaricamento di:7 http://packages.linuxmint.com debian/romeo Sources [1255 B]
Scaricamento di:8 http://packages.linuxmint.com debian/main amd64 Packages [26,0 kB]
Scaricamento di:9 http://packages.linuxmint.com debian/upstream amd64 Packages [7508 B]
Scaricamento di:10 http://packages.linuxmint.com debian/import amd64 Packages [57,3 kB]
Scaricamento di:11 http://packages.linuxmint.com debian/backport amd64 Packages [20 B]
Ign http://tux.rainside.sk testing/main Translation-it_IT
Ign http://tux.rainside.sk testing/main Translation-it
Ign http://tux.rainside.sk testing/main Translation-en
Scaricamento di:12 http://packages.linuxmint.com debian/romeo amd64 Packages [20 B]
Ign http://tux.rainside.sk testing/non-free Translation-it_IT
Ign http://tux.rainside.sk testing/non-free Translation-it
Scaricamento di:13 http://packages.linuxmint.com debian/main i386 Packages [26,0 kB]
Ign http://tux.rainside.sk testing/non-free Translation-en
Scaricamento di:14 http://packages.linuxmint.com debian/upstream i386 Packages [7509 B]
Scaricamento di:15 http://packages.linuxmint.com debian/import i386 Packages [57,3 kB]
Scaricamento di:16 http://packages.linuxmint.com debian/backport i386 Packages [20 B]
Scaricamento di:17 http://packages.linuxmint.com debian/romeo i386 Packages [20 B]
Ign http://packages.linuxmint.com debian/backport Translation-it_IT
Ign http://packages.linuxmint.com debian/backport Translation-it
Ign http://packages.linuxmint.com debian/backport Translation-en
Ign http://packages.linuxmint.com debian/import Translation-it_IT
Ign http://packages.linuxmint.com debian/import Translation-it
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/main Translation-it_IT
Ign http://packages.linuxmint.com debian/main Translation-it
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/romeo Translation-it_IT
Ign http://packages.linuxmint.com debian/romeo Translation-it
Ign http://packages.linuxmint.com debian/romeo Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-it_IT
Ign http://packages.linuxmint.com debian/upstream Translation-it
Ign http://packages.linuxmint.com debian/upstream Translation-en
Recuperati 254 kB in 25s (9959 B/s)
Lettura elenco dei pacchetti... Fatto


Riprovo a lanciare l'installazione, ma ancora lo stesso errore. Vi posto anche il file sources.list:



deb http://packages.linuxmint.com/ debian main upstream import backport romeo
deb-src http://packages.linuxmint.com/ debian main upstream import backport romeo #Added by software-properties
deb http://tux.rainside.sk/mint/debian/latest testing main contrib non-free
deb http://tux.rainside.sk/mint/debian/latest/security testing/updates main contrib non-free
deb http://tux.rainside.sk/mint/debian/latest/multimedia testing main non-free


Qualcuno puņ aiutarmi per favore? Grazie mille a tutti:ciauz:


Di solito sulla mia Debian testing quando ho dei problemi simili vado di terminale con apt
loggato come root
apt-get update e apt-get upgrade
poi se non va a buon fine
dpkg --configure -a
apt-get -f install
apt-get upgrade
li ripeto le volte che servono (di solito bastano, o altrimenti controllare gli errori che da)

sacarde
11-02-2014, 17:52
cosa hai dentro il file: /etc/hosts

provato a aggiornare con il comandi da terminale come suggerito?

Loading